Package com.independentsoft.office.spreadsheet.pivotTables

# Class PivotField

java.lang.Object
com.independentsoft.office.spreadsheet.pivotTables.PivotField

public class PivotField extends Object
The Class PivotField.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PivotField()`
  Instantiates a new pivot field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PivotField`
  `clone()`
  `int`
  `getAutoShowRankBy()`
  Gets the auto show rank by.
  `PivotArea`
  `getAutoSortScope()`
  Gets the auto sort scope.
  `FieldSortType`
  `getAutoSortType()`
  Gets the auto sort type.
  `PivotTableAxis`
  `getAxis()`
  Gets the axis.
  `String`
  `getCustomSubtotalCaption()`
  Gets the custom subtotal caption.
  `int`
  `getItemPageCount()`
  Gets the item page count.
  `List<PivotFieldItem>`
  `getItems()`
  Gets the items.
  `String`
  `getName()`
  Gets the name.
  `int`
  `getNumberFormatID()`
  Gets the number format id.
  `String`
  `getUniqueProperty()`
  Gets the unique property.
  `boolean`
  `isAutoShow()`
  Checks if is auto show.
  `boolean`
  `isAutoSort()`
  Checks if is auto sort.
  `boolean`
  `isAverageSubtotal()`
  Checks if is average subtotal.
  `boolean`
  `isCompact()`
  Checks if is compact.
  `boolean`
  `isCountASubtotal()`
  Checks if is count a subtotal.
  `boolean`
  `isCountSubtotal()`
  Checks if is count subtotal.
  `boolean`
  `isDataField()`
  Checks if is data field.
  `boolean`
  `isDataSourceSort()`
  Checks if is data source sort.
  `boolean`
  `isDefaultAttributeDrillState()`
  Checks if is default attribute drill state.
  `boolean`
  `isDragOff()`
  Checks if is drag off.
  `boolean`
  `isDragToColumn()`
  Checks if is drag to column.
  `boolean`
  `isDragToData()`
  Checks if is drag to data.
  `boolean`
  `isDragToPage()`
  Checks if is drag to page.
  `boolean`
  `isDragToRow()`
  Checks if is drag to row.
  `boolean`
  `isExpandItems()`
  Checks if is expand items.
  `boolean`
  `isHiddenLevel()`
  Checks if is hidden level.
  `boolean`
  `isHideNewItems()`
  Checks if is hide new items.
  `boolean`
  `isInclusiveManualFilter()`
  Checks if is inclusive manual filter.
  `boolean`
  `isInsertBlankRow()`
  Checks if is insert blank row.
  `boolean`
  `isInsertItemPageBreak()`
  Checks if is insert item page break.
  `boolean`
  `isMaxSubtotal()`
  Checks if is max subtotal.
  `boolean`
  `isMeasureFilter()`
  Checks if is measure filter.
  `boolean`
  `isMinSubtotal()`
  Checks if is min subtotal.
  `boolean`
  `isMultipleItemSelectionAllowed()`
  Checks if is multiple item selection allowed.
  `boolean`
  `isOutlineItems()`
  Checks if is outline items.
  `boolean`
  `isProductSubtotal()`
  Checks if is product subtotal.
  `boolean`
  `isServerBasedPageField()`
  Checks if is server based page field.
  `boolean`
  `isShowAllItems()`
  Checks if is show all items.
  `boolean`
  `isShowDefaultSubtotal()`
  Checks if is show default subtotal.
  `boolean`
  `isShowDropDowns()`
  Checks if is show drop downs.
  `boolean`
  `isShowPropertyAsCaption()`
  Checks if is show property as caption.
  `boolean`
  `isShowPropertyInCell()`
  Checks if is show property in cell.
  `boolean`
  `isShowPropertyToolTip()`
  Checks if is show property tool tip.
  `boolean`
  `isStandardDeviationPopulationSubtotal()`
  Checks if is standard deviation population subtotal.
  `boolean`
  `isStandardDeviationSubtotal()`
  Checks if is standard deviation subtotal.
  `boolean`
  `isSubtotalsAtTop()`
  Checks if is subtotals at top.
  `boolean`
  `isSumSubtotal()`
  Checks if is sum subtotal.
  `boolean`
  `isTopAutoShow()`
  Checks if is top auto show.
  `boolean`
  `isVariancePopulationSubtotal()`
  Checks if is variance population subtotal.
  `boolean`
  `isVarianceSubtotal()`
  Checks if is variance subtotal.
  `void`
  `setAutoShow​(boolean autoShow)`
  Sets the auto show.
  `void`
  `setAutoShowRankBy​(int autoShowRankBy)`
  Sets the auto show rank by.
  `void`
  `setAutoSort​(boolean autoSort)`
  Sets the auto sort.
  `void`
  `setAutoSortScope​(PivotArea autoSortScope)`
  Sets the auto sort scope.
  `void`
  `setAutoSortType​(FieldSortType autoSortType)`
  Sets the auto sort type.
  `void`
  `setAverageSubtotal​(boolean averageSubtotal)`
  Sets the average subtotal.
  `void`
  `setAxis​(PivotTableAxis axis)`
  Sets the axis.
  `void`
  `setCompact​(boolean compact)`
  Sets the compact.
  `void`
  `setCountASubtotal​(boolean countASubtotal)`
  Sets the count a subtotal.
  `void`
  `setCountSubtotal​(boolean countSubtotal)`
  Sets the count subtotal.
  `void`
  `setCustomSubtotalCaption​(String customSubtotalCaption)`
  Sets the custom subtotal caption.
  `void`
  `setDataField​(boolean isDataField)`
  Sets the data field.
  `void`
  `setDataSourceSort​(boolean dataSourceSort)`
  Sets the data source sort.
  `void`
  `setDefaultAttributeDrillState​(boolean defaultAttributeDrillState)`
  Sets the default attribute drill state.
  `void`
  `setDragOff​(boolean dragOff)`
  Sets the drag off.
  `void`
  `setDragToColumn​(boolean dragToColumn)`
  Sets the drag to column.
  `void`
  `setDragToData​(boolean dragToData)`
  Sets the drag to data.
  `void`
  `setDragToPage​(boolean dragToPage)`
  Sets the drag to page.
  `void`
  `setDragToRow​(boolean dragToRow)`
  Sets the drag to row.
  `void`
  `setExpandItems​(boolean expandItems)`
  Sets the expand items.
  `void`
  `setHiddenLevel​(boolean hiddenLevel)`
  Sets the hidden level.
  `void`
  `setHideNewItems​(boolean hideNewItems)`
  Sets the hide new items.
  `void`
  `setInclusiveManualFilter​(boolean inclusiveManualFilter)`
  Sets the inclusive manual filter.
  `void`
  `setInsertBlankRow​(boolean insertBlankRow)`
  Sets the insert blank row.
  `void`
  `setInsertItemPageBreak​(boolean insertItemPageBreak)`
  Sets the insert item page break.
  `void`
  `setItemPageCount​(int itemPageCount)`
  Sets the item page count.
  `void`
  `setMaxSubtotal​(boolean maxSubtotal)`
  Sets the max subtotal.
  `void`
  `setMeasureFilter​(boolean measureFilter)`
  Sets the measure filter.
  `void`
  `setMinSubtotal​(boolean minSubtotal)`
  Sets the min subtotal.
  `void`
  `setMultipleItemSelectionAllowed​(boolean multipleItemSelectionAllowed)`
  Sets the multiple item selection allowed.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setNumberFormatID​(int numberFormatID)`
  Sets the number format id.
  `void`
  `setOutlineItems​(boolean outlineItems)`
  Sets the outline items.
  `void`
  `setProductSubtotal​(boolean productSubtotal)`
  Sets the product subtotal.
  `void`
  `setServerBasedPageField​(boolean isServerBasedPageField)`
  Sets the server based page field.
  `void`
  `setShowAllItems​(boolean showAllItems)`
  Sets the show all items.
  `void`
  `setShowDefaultSubtotal​(boolean showDefaultSubtotal)`
  Sets the show default subtotal.
  `void`
  `setShowDropDowns​(boolean showDropDowns)`
  Sets the show drop downs.
  `void`
  `setShowPropertyAsCaption​(boolean showPropertyAsCaption)`
  Sets the show property as caption.
  `void`
  `setShowPropertyInCell​(boolean showPropertyInCell)`
  Sets the show property in cell.
  `void`
  `setShowPropertyToolTip​(boolean showPropertyToolTip)`
  Sets the show property tool tip.
  `void`
  `setStandardDeviationPopulationSubtotal​(boolean standardDeviationPopulationSubtotal)`
  Sets the standard deviation population subtotal.
  `void`
  `setStandardDeviationSubtotal​(boolean standardDeviationSubtotal)`
  Sets the standard deviation subtotal.
  `void`
  `setSubtotalsAtTop​(boolean subtotalsAtTop)`
  Sets the subtotals at top.
  `void`
  `setSumSubtotal​(boolean sumSubtotal)`
  Sets the sum subtotal.
  `void`
  `setTopAutoShow​(boolean topAutoShow)`
  Sets the top auto show.
  `void`
  `setUniqueProperty​(String uniqueProperty)`
  Sets the unique property.
  `void`
  `setVariancePopulationSubtotal​(boolean variancePopulationSubtotal)`
  Sets the variance population subtotal.
  `void`
  `setVarianceSubtotal​(boolean varianceSubtotal)`
  Sets the variance subtotal.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PivotField

    public PivotField()
    Instantiates a new pivot field.

- ## Method Details

  - ### clone

    public PivotField clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getItems

    public List<PivotFieldItem> getItems()
    Gets the items.
    Returns:
      the items

  - ### getAutoSortScope

    public PivotArea getAutoSortScope()
    Gets the auto sort scope.
    Returns:
      the auto sort scope

  - ### setAutoSortScope

    public void setAutoSortScope​(PivotArea autoSortScope)
    Sets the auto sort scope.
    Parameters:
      `autoSortScope` - the new auto sort scope

  - ### isExpandItems

    public boolean isExpandItems()
    Checks if is expand items.
    Returns:
      true, if is expand items

  - ### setExpandItems

    public void setExpandItems​(boolean expandItems)
    Sets the expand items.
    Parameters:
      `expandItems` - the new expand items

  - ### isAutoShow

    public boolean isAutoShow()
    Checks if is auto show.
    Returns:
      true, if is auto show

  - ### setAutoShow

    public void setAutoShow​(boolean autoShow)
    Sets the auto show.
    Parameters:
      `autoShow` - the new auto show

  - ### isAverageSubtotal

    public boolean isAverageSubtotal()
    Checks if is average subtotal.
    Returns:
      true, if is average subtotal

  - ### setAverageSubtotal

    public void setAverageSubtotal​(boolean averageSubtotal)
    Sets the average subtotal.
    Parameters:
      `averageSubtotal` - the new average subtotal

  - ### getAxis

    public PivotTableAxis getAxis()
    Gets the axis.
    Returns:
      the axis

  - ### setAxis

    public void setAxis​(PivotTableAxis axis)
    Sets the axis.
    Parameters:
      `axis` - the new axis

  - ### isCompact

    public boolean isCompact()
    Checks if is compact.
    Returns:
      true, if is compact

  - ### setCompact

    public void setCompact​(boolean compact)
    Sets the compact.
    Parameters:
      `compact` - the new compact

  - ### isCountASubtotal

    public boolean isCountASubtotal()
    Checks if is count a subtotal.
    Returns:
      true, if is count a subtotal

  - ### setCountASubtotal

    public void setCountASubtotal​(boolean countASubtotal)
    Sets the count a subtotal.
    Parameters:
      `countASubtotal` - the new count a subtotal

  - ### isCountSubtotal

    public boolean isCountSubtotal()
    Checks if is count subtotal.
    Returns:
      true, if is count subtotal

  - ### setCountSubtotal

    public void setCountSubtotal​(boolean countSubtotal)
    Sets the count subtotal.
    Parameters:
      `countSubtotal` - the new count subtotal

  - ### isDataField

    public boolean isDataField()
    Checks if is data field.
    Returns:
      true, if is data field

  - ### setDataField

    public void setDataField​(boolean isDataField)
    Sets the data field.
    Parameters:
      `isDataField` - the new data field

  - ### isDataSourceSort

    public boolean isDataSourceSort()
    Checks if is data source sort.
    Returns:
      true, if is data source sort

  - ### setDataSourceSort

    public void setDataSourceSort​(boolean dataSourceSort)
    Sets the data source sort.
    Parameters:
      `dataSourceSort` - the new data source sort

  - ### isDefaultAttributeDrillState

    public boolean isDefaultAttributeDrillState()
    Checks if is default attribute drill state.
    Returns:
      true, if is default attribute drill state

  - ### setDefaultAttributeDrillState

    public void setDefaultAttributeDrillState​(boolean defaultAttributeDrillState)
    Sets the default attribute drill state.
    Parameters:
      `defaultAttributeDrillState` - the new default attribute drill state

  - ### isShowDefaultSubtotal

    public boolean isShowDefaultSubtotal()
    Checks if is show default subtotal.
    Returns:
      true, if is show default subtotal

  - ### setShowDefaultSubtotal

    public void setShowDefaultSubtotal​(boolean showDefaultSubtotal)
    Sets the show default subtotal.
    Parameters:
      `showDefaultSubtotal` - the new show default subtotal

  - ### isDragOff

    public boolean isDragOff()
    Checks if is drag off.
    Returns:
      true, if is drag off

  - ### setDragOff

    public void setDragOff​(boolean dragOff)
    Sets the drag off.
    Parameters:
      `dragOff` - the new drag off

  - ### isDragToColumn

    public boolean isDragToColumn()
    Checks if is drag to column.
    Returns:
      true, if is drag to column

  - ### setDragToColumn

    public void setDragToColumn​(boolean dragToColumn)
    Sets the drag to column.
    Parameters:
      `dragToColumn` - the new drag to column

  - ### isDragToData

    public boolean isDragToData()
    Checks if is drag to data.
    Returns:
      true, if is drag to data

  - ### setDragToData

    public void setDragToData​(boolean dragToData)
    Sets the drag to data.
    Parameters:
      `dragToData` - the new drag to data

  - ### isDragToPage

    public boolean isDragToPage()
    Checks if is drag to page.
    Returns:
      true, if is drag to page

  - ### setDragToPage

    public void setDragToPage​(boolean dragToPage)
    Sets the drag to page.
    Parameters:
      `dragToPage` - the new drag to page

  - ### isDragToRow

    public boolean isDragToRow()
    Checks if is drag to row.
    Returns:
      true, if is drag to row

  - ### setDragToRow

    public void setDragToRow​(boolean dragToRow)
    Sets the drag to row.
    Parameters:
      `dragToRow` - the new drag to row

  - ### isHiddenLevel

    public boolean isHiddenLevel()
    Checks if is hidden level.
    Returns:
      true, if is hidden level

  - ### setHiddenLevel

    public void setHiddenLevel​(boolean hiddenLevel)
    Sets the hidden level.
    Parameters:
      `hiddenLevel` - the new hidden level

  - ### isHideNewItems

    public boolean isHideNewItems()
    Checks if is hide new items.
    Returns:
      true, if is hide new items

  - ### setHideNewItems

    public void setHideNewItems​(boolean hideNewItems)
    Sets the hide new items.
    Parameters:
      `hideNewItems` - the new hide new items

  - ### isInclusiveManualFilter

    public boolean isInclusiveManualFilter()
    Checks if is inclusive manual filter.
    Returns:
      true, if is inclusive manual filter

  - ### setInclusiveManualFilter

    public void setInclusiveManualFilter​(boolean inclusiveManualFilter)
    Sets the inclusive manual filter.
    Parameters:
      `inclusiveManualFilter` - the new inclusive manual filter

  - ### isInsertBlankRow

    public boolean isInsertBlankRow()
    Checks if is insert blank row.
    Returns:
      true, if is insert blank row

  - ### setInsertBlankRow

    public void setInsertBlankRow​(boolean insertBlankRow)
    Sets the insert blank row.
    Parameters:
      `insertBlankRow` - the new insert blank row

  - ### isInsertItemPageBreak

    public boolean isInsertItemPageBreak()
    Checks if is insert item page break.
    Returns:
      true, if is insert item page break

  - ### setInsertItemPageBreak

    public void setInsertItemPageBreak​(boolean insertItemPageBreak)
    Sets the insert item page break.
    Parameters:
      `insertItemPageBreak` - the new insert item page break

  - ### getItemPageCount

    public int getItemPageCount()
    Gets the item page count.
    Returns:
      the item page count

  - ### setItemPageCount

    public void setItemPageCount​(int itemPageCount)
    Sets the item page count.
    Parameters:
      `itemPageCount` - the new item page count

  - ### isMaxSubtotal

    public boolean isMaxSubtotal()
    Checks if is max subtotal.
    Returns:
      true, if is max subtotal

  - ### setMaxSubtotal

    public void setMaxSubtotal​(boolean maxSubtotal)
    Sets the max subtotal.
    Parameters:
      `maxSubtotal` - the new max subtotal

  - ### isMeasureFilter

    public boolean isMeasureFilter()
    Checks if is measure filter.
    Returns:
      true, if is measure filter

  - ### setMeasureFilter

    public void setMeasureFilter​(boolean measureFilter)
    Sets the measure filter.
    Parameters:
      `measureFilter` - the new measure filter

  - ### isMinSubtotal

    public boolean isMinSubtotal()
    Checks if is min subtotal.
    Returns:
      true, if is min subtotal

  - ### setMinSubtotal

    public void setMinSubtotal​(boolean minSubtotal)
    Sets the min subtotal.
    Parameters:
      `minSubtotal` - the new min subtotal

  - ### isMultipleItemSelectionAllowed

    public boolean isMultipleItemSelectionAllowed()
    Checks if is multiple item selection allowed.
    Returns:
      true, if is multiple item selection allowed

  - ### setMultipleItemSelectionAllowed

    public void setMultipleItemSelectionAllowed​(boolean multipleItemSelectionAllowed)
    Sets the multiple item selection allowed.
    Parameters:
      `multipleItemSelectionAllowed` - the new multiple item selection allowed

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### isAutoSort

    public boolean isAutoSort()
    Checks if is auto sort.
    Returns:
      true, if is auto sort

  - ### setAutoSort

    public void setAutoSort​(boolean autoSort)
    Sets the auto sort.
    Parameters:
      `autoSort` - the new auto sort

  - ### getNumberFormatID

    public int getNumberFormatID()
    Gets the number format id.
    Returns:
      the number format id

  - ### setNumberFormatID

    public void setNumberFormatID​(int numberFormatID)
    Sets the number format id.
    Parameters:
      `numberFormatID` - the new number format id

  - ### isOutlineItems

    public boolean isOutlineItems()
    Checks if is outline items.
    Returns:
      true, if is outline items

  - ### setOutlineItems

    public void setOutlineItems​(boolean outlineItems)
    Sets the outline items.
    Parameters:
      `outlineItems` - the new outline items

  - ### isProductSubtotal

    public boolean isProductSubtotal()
    Checks if is product subtotal.
    Returns:
      true, if is product subtotal

  - ### setProductSubtotal

    public void setProductSubtotal​(boolean productSubtotal)
    Sets the product subtotal.
    Parameters:
      `productSubtotal` - the new product subtotal

  - ### getAutoShowRankBy

    public int getAutoShowRankBy()
    Gets the auto show rank by.
    Returns:
      the auto show rank by

  - ### setAutoShowRankBy

    public void setAutoShowRankBy​(int autoShowRankBy)
    Sets the auto show rank by.
    Parameters:
      `autoShowRankBy` - the new auto show rank by

  - ### isServerBasedPageField

    public boolean isServerBasedPageField()
    Checks if is server based page field.
    Returns:
      true, if is server based page field

  - ### setServerBasedPageField

    public void setServerBasedPageField​(boolean isServerBasedPageField)
    Sets the server based page field.
    Parameters:
      `isServerBasedPageField` - the new server based page field

  - ### isShowAllItems

    public boolean isShowAllItems()
    Checks if is show all items.
    Returns:
      true, if is show all items

  - ### setShowAllItems

    public void setShowAllItems​(boolean showAllItems)
    Sets the show all items.
    Parameters:
      `showAllItems` - the new show all items

  - ### isShowDropDowns

    public boolean isShowDropDowns()
    Checks if is show drop downs.
    Returns:
      true, if is show drop downs

  - ### setShowDropDowns

    public void setShowDropDowns​(boolean showDropDowns)
    Sets the show drop downs.
    Parameters:
      `showDropDowns` - the new show drop downs

  - ### isShowPropertyAsCaption

    public boolean isShowPropertyAsCaption()
    Checks if is show property as caption.
    Returns:
      true, if is show property as caption

  - ### setShowPropertyAsCaption

    public void setShowPropertyAsCaption​(boolean showPropertyAsCaption)
    Sets the show property as caption.
    Parameters:
      `showPropertyAsCaption` - the new show property as caption

  - ### isShowPropertyInCell

    public boolean isShowPropertyInCell()
    Checks if is show property in cell.
    Returns:
      true, if is show property in cell

  - ### setShowPropertyInCell

    public void setShowPropertyInCell​(boolean showPropertyInCell)
    Sets the show property in cell.
    Parameters:
      `showPropertyInCell` - the new show property in cell

  - ### isShowPropertyToolTip

    public boolean isShowPropertyToolTip()
    Checks if is show property tool tip.
    Returns:
      true, if is show property tool tip

  - ### setShowPropertyToolTip

    public void setShowPropertyToolTip​(boolean showPropertyToolTip)
    Sets the show property tool tip.
    Parameters:
      `showPropertyToolTip` - the new show property tool tip

  - ### getAutoSortType

    public FieldSortType getAutoSortType()
    Gets the auto sort type.
    Returns:
      the auto sort type

  - ### setAutoSortType

    public void setAutoSortType​(FieldSortType autoSortType)
    Sets the auto sort type.
    Parameters:
      `autoSortType` - the new auto sort type

  - ### isStandardDeviationPopulationSubtotal

    public boolean isStandardDeviationPopulationSubtotal()
    Checks if is standard deviation population subtotal.
    Returns:
      true, if is standard deviation population subtotal

  - ### setStandardDeviationPopulationSubtotal

    public void setStandardDeviationPopulationSubtotal​(boolean standardDeviationPopulationSubtotal)
    Sets the standard deviation population subtotal.
    Parameters:
      `standardDeviationPopulationSubtotal` - the new standard deviation population subtotal

  - ### isStandardDeviationSubtotal

    public boolean isStandardDeviationSubtotal()
    Checks if is standard deviation subtotal.
    Returns:
      true, if is standard deviation subtotal

  - ### setStandardDeviationSubtotal

    public void setStandardDeviationSubtotal​(boolean standardDeviationSubtotal)
    Sets the standard deviation subtotal.
    Parameters:
      `standardDeviationSubtotal` - the new standard deviation subtotal

  - ### getCustomSubtotalCaption

    public String getCustomSubtotalCaption()
    Gets the custom subtotal caption.
    Returns:
      the custom subtotal caption

  - ### setCustomSubtotalCaption

    public void setCustomSubtotalCaption​(String customSubtotalCaption)
    Sets the custom subtotal caption.
    Parameters:
      `customSubtotalCaption` - the new custom subtotal caption

  - ### isSubtotalsAtTop

    public boolean isSubtotalsAtTop()
    Checks if is subtotals at top.
    Returns:
      true, if is subtotals at top

  - ### setSubtotalsAtTop

    public void setSubtotalsAtTop​(boolean subtotalsAtTop)
    Sets the subtotals at top.
    Parameters:
      `subtotalsAtTop` - the new subtotals at top

  - ### isSumSubtotal

    public boolean isSumSubtotal()
    Checks if is sum subtotal.
    Returns:
      true, if is sum subtotal

  - ### setSumSubtotal

    public void setSumSubtotal​(boolean sumSubtotal)
    Sets the sum subtotal.
    Parameters:
      `sumSubtotal` - the new sum subtotal

  - ### isTopAutoShow

    public boolean isTopAutoShow()
    Checks if is top auto show.
    Returns:
      true, if is top auto show

  - ### setTopAutoShow

    public void setTopAutoShow​(boolean topAutoShow)
    Sets the top auto show.
    Parameters:
      `topAutoShow` - the new top auto show

  - ### getUniqueProperty

    public String getUniqueProperty()
    Gets the unique property.
    Returns:
      the unique property

  - ### setUniqueProperty

    public void setUniqueProperty​(String uniqueProperty)
    Sets the unique property.
    Parameters:
      `uniqueProperty` - the new unique property

  - ### isVariancePopulationSubtotal

    public boolean isVariancePopulationSubtotal()
    Checks if is variance population subtotal.
    Returns:
      true, if is variance population subtotal

  - ### setVariancePopulationSubtotal

    public void setVariancePopulationSubtotal​(boolean variancePopulationSubtotal)
    Sets the variance population subtotal.
    Parameters:
      `variancePopulationSubtotal` - the new variance population subtotal

  - ### isVarianceSubtotal

    public boolean isVarianceSubtotal()
    Checks if is variance subtotal.
    Returns:
      true, if is variance subtotal

  - ### setVarianceSubtotal

    public void setVarianceSubtotal​(boolean varianceSubtotal)
    Sets the variance subtotal.
    Parameters:
      `varianceSubtotal` - the new variance subtotal